找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 528|回复: 0

[wordpress] WordPress程序不能升级为5.4.2版本的原因

[复制链接]
发表于 2023-8-21 17:56:09 | 显示全部楼层 |阅读模式 来自 四川省广安市
WordPress是一款个人博客系统,受到英文博客爱好者和中文博客爱好者的追捧,并逐步演化成一款内容管理系统软件;它是使用PHP语言和MySQL数据库开发的,用户可以在支持PHP和MySQL数据库的服务器上使用自己的博客。每一次WordPress程序的更新,就会牵动无数WordPress爱好者的心,WordPress程序后台也会提示升级获取最新版本。



茹莱神兽一直是WordPress大前端DUX主题模板的忠实粉丝,一年没有更新WordPress个人博客,发现大前端DUX主题模板版本已经更新到了6.4,茹莱神兽费尽周折获得了DUX6.3版本。又发现WordPress程序更新到了5.4.2版本,打算一起同步更新,大前端DUX顺利升级到了6.3版本,但是WordPress却迟迟不能升级,上传了程序之后出现了以下情况:

Your server is running PHP version 5.3.29 but WordPress 5.4.2 requires at least 5.6.20.(您的服务器运行的是PHP5.3.29版本,但是WordPress5.4.2至少需要5.6.20版本。)

WordPress程序不能获取5.4.2版本的原因是服务器运行的PHP版本过低,WordPress要升级到5.4.2版本,就必须升级服务器运行的PHP版本,未满足WordPress程序升级条件的网站,后台WordPress更新页面是会有提示的。



解决方法就是登陆域名空间服务商网站平台,点击虚拟主机》主机管理页面》网站基本功能》服务器运行的PHP模式。



打开PHP模式,这就是服务器运行的PHP版本模式,然后从新选择好PHP版本模式,提交之后,WordPress程序升级应该就没有问题了。



现在WordPress程序升级的最大阻碍已经觉得,那么按照升级步骤,上传WordPress最新版本,完了之后再升级一下数据库就没有问题了,唯一的问题就是在进行升级时,务必要做好WordPress网站数据备份。

作者:茹莱神兽


本文地址:https://www.badpon.com/962.html

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?立即注册

×

发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;

如何回报帮助你解决问题的坛友,好办法就是点击帖子下方的评分按钮给对方加【金币】不会扣除自己的积分,做一个热心并受欢迎的人!

回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则 需要先绑定手机号

关闭

站长推荐上一条 /1 下一条

QQ|侵权投诉|广告报价|手机版|小黑屋|西部数码代理|飘仙建站论坛 ( 豫ICP备2022021143号-1 )

GMT+8, 2024-4-18 21:52 , Processed in 0.044391 second(s), 9 queries , Redis On.

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表